<?php
namespace nur\config;

use nur\A;

/**
 * Class PrependRef: une référence à une clé de configuration, à la valeur
 * de laquelle on insère des éléments au début
 */
class PrependRef extends MergeRef {
  function __construct(string $pkey, $preprends=null) {
    if ($preprends !== null) A::ensure_array($preprends);
    parent::__construct($pkey, null, null, $preprends);
  }
}
